const Joi = require("joi");
 
const validation = Joi.object({
  slug: Joi.string().required(),
  title: Joi.string().required(),
  body: Joi.string().required(),
  categoryIDs: Joi.string().required(),
  tagIDs: Joi.string().required(),
  coverImage: Joi.string().optional(),
});
 
function blogUserValidater(req, res, next) {
  const { error } = validation.validate(req.body);
  if (error) {
    res.status(406).json({ msg: "Blog is not valid", details: error.details });
  } else {
    next();
  }
}
 
module.exports = blogUserValidater;